#!/bin/sh

case "$1" in
PCCARD)
	;;
SMALL|SMALL1)
	# reduce PCI devices
	sed \
		-e '/	pci$/d' \
		-e '/	adv/d' \
		-e '/	ahc/d' \
		-e '/	amd/d' \
		-e '/	isp/d' \
		-e '/	ncr/d' \
		-e '/	sym/d' \
		-e '/	de/d' \
		-e '/	em/d' \
		-e '/	txp/d' \
		-e '/	vx/d' \
		-e '/	dc/d' \
		-e '/	fxp/d' \
		-e '/	pcn/d' \
		-e '/	rl/d' \
		-e '/	sf/d' \
		-e '/	sis/d' \
		-e '/	ste/d' \
		-e '/	tl/d' \
		-e '/	tx/d' \
		-e '/	vr/d' \
		-e '/	wb/d' \
		-e '/	xl/d' \
		-e '/	bge/d' \
		-e '/	an$/d' \
		-e '/	wi$/d' \
		-e '/pty/d' \
		-e '/pass/d' \
		-e '/	apm/d' \
		-e '/ppp/d' \
		-e '/gif/d' \
		-e '/faith/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e '/SOFTUPDATES/d' \
		-e '/UFS_DIRHASH/d' \
		-e '/MFS/d' \
		-e '/NFS_ROOT/d' \
		-e '/P1003_1B/d' \
		-e '/_KPOSIX_PRIORITY_SCHEDULING/d' \
		-e '/RANDOMDEV/d' \
		-e '/atapist/d' \
		-e '/lpt/d' \
		-e '/ppi/d' \
		-e '/ugen/d' \
		-e '/uhid/d' \
		-e '/ulpt/d' \
		-e '/urio/d' \
		-e '/uscanner/d' \
		-e '/maxusers/d' \
		-e 's/ident.*GENERIC/ident		BOOTMFS/g'

	echo "# BOOTMFS SMALL"
	echo "options  NETGRAPH"
	echo "options  NETGRAPH_ETHER"
	echo "options  NETGRAPH_PPPOE"
	echo "options  NETGRAPH_SOCKET"
	;;
SMALL2)
	# reduce PCI and PCCARD devices
	sed \
	    -e '/device.*card/d' \
	    -e '/device.*pcic0/d' \
	    -e '/device.*wi$/d' \
	    -e '/device.*an$/d' \
	    -e '/device.*xe$/d' \
	    -e '/device.*sn$/d' \
		-e '/	pci$/d' \
		-e '/	adv/d' \
		-e '/	ahc/d' \
		-e '/	amd/d' \
		-e '/	isp/d' \
		-e '/	ncr/d' \
		-e '/	sym/d' \
		-e '/	de/d' \
		-e '/	em/d' \
		-e '/	txp/d' \
		-e '/	vx/d' \
		-e '/	dc/d' \
		-e '/	fxp/d' \
		-e '/	pcn/d' \
		-e '/	rl/d' \
		-e '/	sf/d' \
		-e '/	sis/d' \
		-e '/	ste/d' \
		-e '/	tl/d' \
		-e '/	tx/d' \
		-e '/	vr/d' \
		-e '/	wb/d' \
		-e '/	xl/d' \
		-e '/	bge/d' \
		-e '/	an$/d' \
		-e '/	wi$/d' \
		-e '/pty/d' \
		-e '/pass/d' \
		-e '/	apm/d' \
		-e '/ppp/d' \
		-e '/gif/d' \
		-e '/faith/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e '/SOFTUPDATES/d' \
		-e '/UFS_DIRHASH/d' \
		-e '/MFS/d' \
		-e '/NFS_ROOT/d' \
		-e '/P1003_1B/d' \
		-e '/_KPOSIX_PRIORITY_SCHEDULING/d' \
		-e '/RANDOMDEV/d' \
		-e '/atapist/d' \
		-e '/lpt/d' \
		-e '/ppi/d' \
		-e '/ugen/d' \
		-e '/uhid/d' \
		-e '/ulpt/d' \
		-e '/urio/d' \
		-e '/uscanner/d' \
		-e '/maxusers/d' \
		-e 's/ident.*GENERIC/ident		BOOTMFS/g'

	echo "# BOOTMFS SMALL2"
	echo "options  NETGRAPH"
	echo "options  NETGRAPH_ETHER"
	echo "options  NETGRAPH_PPPOE"
	echo "options  NETGRAPH_SOCKET"
	;;
SMALL3|PC98)
	# reduce PCCARD devices (not enough fd1200)
	sed \
	    -e '/device.*card/d' \
	    -e '/device.*pcic0/d' \
	    -e '/device.*wi$/d' \
	    -e '/device.*an$/d' \
	    -e '/device.*xe$/d' \
	    -e '/device.*sn$/d' \
		-e '/pty/d' \
		-e '/pass/d' \
		-e '/	apm/d' \
		-e '/ppp/d' \
		-e '/gif/d' \
		-e '/faith/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e '/SOFTUPDATES/d' \
		-e '/UFS_DIRHASH/d' \
		-e '/MFS/d' \
		-e '/NFS_ROOT/d' \
		-e '/RANDOMDEV/d' \
		-e '/	ncr/d' \
		-e '/	an$/d' \
		-e '/	wi$/d' \
		-e '/atapist/d' \
		-e '/lpt/d' \
		-e '/ppi/d' \
		-e '/ugen/d' \
		-e '/uhid/d' \
		-e '/ulpt/d' \
		-e '/urio/d' \
		-e '/uscanner/d' \
		-e '/maxusers/d' \
		-e 's/ident.*GENERIC/ident		BOOTMFS/g'

	echo "# BOOTMFS PC98"
	echo "options  NETGRAPH"
	echo "options  NETGRAPH_ETHER"
	echo "options  NETGRAPH_PPPOE"
	echo "options  NETGRAPH_SOCKET"
	;;
FD144)
	sed \
		-e '/pty/d' \
		-e '/pass/d' \
		-e '/	apm/d' \
		-e '/ppp/d' \
		-e '/gif/d' \
		-e '/faith/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e '/SOFTUPDATES/d' \
		-e '/UFS_DIRHASH/d' \
		-e '/MFS/d' \
		-e '/NFS_ROOT/d' \
		-e '/RANDOMDEV/d' \
		-e '/	ncr/d' \
		-e '/	txp/d' \
		-e '/	an$/d' \
		-e '/	wi$/d' \
		-e '/atapist/d' \
		-e '/lpt/d' \
		-e '/ppi/d' \
		-e '/ugen/d' \
		-e '/uhid/d' \
		-e '/ulpt/d' \
		-e '/urio/d' \
		-e '/uscanner/d' \
		-e '/maxusers/d' \
		-e 's/ident.*GENERIC/ident		BOOTMFS/g'

	echo "# BOOTMFS FD144"
	echo "options  NETGRAPH"
	echo "options  NETGRAPH_ETHER"
	echo "options  NETGRAPH_PPPOE"
	echo "options  NETGRAPH_SOCKET"
	;;
'')	# AT
	sed	-e '/pty/d' \
		-e '/pass/d' \
		-e '/	apm/d' \
		-e '/ppp/d' \
		-e '/gif/d' \
		-e '/faith/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e '/SOFTUPDATES/d' \
		-e '/UFS_DIRHASH/d' \
		-e '/MFS/d' \
		-e '/NFS_ROOT/d' \
		-e '/RANDOMDEV/d' \
		-e '/AHC_REG_PRETTY_PRINT/d' \
		-e '/AHD_REG_PRETTY_PRINT/d' \
		-e '/	ncr/d' \
		-e '/	txp/d' \
		-e '/	an$/d' \
		-e '/	wi$/d' \
		-e '/atapist/d' \
		-e '/lpt/d' \
		-e '/ppi/d' \
		-e '/ugen/d' \
		-e '/uhid/d' \
		-e '/ulpt/d' \
		-e '/urio/d' \
		-e '/uscanner/d' \
		-e '/maxusers/d' \
		-e 's/ident.*GENERIC/ident		BOOTMFS/g'

	echo "# BOOTMFS AT"
	echo "options  NETGRAPH"
	echo "options  NETGRAPH_ETHER"
	echo "options  NETGRAPH_PPPOE"
	echo "options  NETGRAPH_SOCKET"
	;;
esac

# reset maxusers to something lower
echo "maxusers	5"

echo "options  NFS_NOSERVER" 
echo "options  SCSI_NO_OP_STRINGS" 
echo "options  SCSI_NO_SENSE_STRINGS"
